﻿<UserControl
    x:Class="RnsApp.Desktop.Views.Controls.ToastNotificationControl"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:RnsApp.Desktop.Views.Controls"
    xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    d:DesignHeight="450"
    d:DesignWidth="800"
    mc:Ignorable="d">
    <Grid
        Margin="0"
        DataContext="{Binding RelativeSource={RelativeSource AncestorType={x:Type local:ToastNotificationControl}}}"
        Visibility="{Binding Path=IsToastVisible, Converter={StaticResource BoolToVisibilityConverterWhereFalseIsCollapsed}}">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="auto" />
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="*" />
            <RowDefinition Height="*" />
            <RowDefinition Height="*" />
            <RowDefinition Height="*" />
            <RowDefinition Height="auto" />
            <RowDefinition Height="*" />
        </Grid.RowDefinitions>
        <StackPanel Grid.Row="4" Grid.Column="1">
            <Border Background="{Binding ToastBackground}" CornerRadius="4">
                <WrapPanel Margin="10,10,10,10">
                    <materialDesign:PackIcon
                        Width="30"
                        Height="30"
                        Margin="0,0,10,0"
                        VerticalAlignment="Center"
                        Foreground="White"
                        Kind="{Binding ToastIcon}" />
                    <TextBlock
                        MaxWidth="500"
                        VerticalAlignment="Center"
                        FontSize="13"
                        Foreground="White"
                        Style="{StaticResource MaterialDesignBody2TextBlock}"
                        Text="{Binding Message}"
                        TextWrapping="Wrap" />
                </WrapPanel>
            </Border>
        </StackPanel>
    </Grid>
</UserControl>
